CRYPTO_BLKCIPHER_ENC(9)

NAME
crypto_blkcipher_encrypt - encrypt plaintext

SYNOPSIS

int crypto_blkcipher_encrypt(struct blkcipher_desc * desc, struct scatterlist * dst, struct scatterlist * src, unsigned int nbytes);

ARGUMENTS

desc
    reference to the block cipher handle with meta data

dst
    scatter/gather list that is filled by the cipher operation with the ciphertext

src
    scatter/gather list that holds the plaintext

nbytes
    number of bytes of the plaintext to encrypt.

DESCRIPTION

Encrypt plaintext data using the IV set by the caller with a preceding call of crypto_blkcipher_set_iv.

The blkcipher_desc data structure must be filled by the caller and can reside on the stack. The caller must fill desc as follows: desc.tfm is filled with the block cipher handle; desc.flags is filled with either CRYPTO_TFM_REQ_MAY_SLEEP or 0.

RETURN

0 if the cipher operation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT